Package: org.codehaus.groovy.grails.cli.interactive

## [Groovy] Class GrailsInteractiveCompletor

- org.codehaus.groovy.grails.cli.interactive.GrailsInteractiveCompletor

- A JLine completer for Grails' interactive mode.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map` | `completorCache`
    `BuildSettings` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsInteractiveCompletor (BuildSettings settings, java.util.List<java.io.File> scriptResources)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
    `static java.lang.String[]` | `getScriptNames(java.util.List<java.io.File> scriptResources)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StringsCompleter` | `complete, getStrings, setStrings`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Map completorCache

    - #### BuildSettings settings

  - ### Constructor Detail

    - #### GrailsInteractiveCompletor(BuildSettings settings, java.util.List<java.io.File> scriptResources)

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List clist)

    - #### static java.lang.String[] getScriptNames(java.util.List<java.io.File> scriptResources)